Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:49 2009

## Asterisk developer's documentation

# rpt_link Struct Reference

Collaboration diagram for rpt_link:

[legend]

## Data Fields

struct ast_channel * | chan
char | connected
char | disced
long | disctime
long | elaptime
char | hasconnected
char | isremote
char | killme
char | lastrx
char | lasttx
char | mode
char | name [MAXNODESTR]
struct rpt_link * | next
char | outbound
struct ast_channel * | pchan
char | phonemode
struct rpt_link * | prev
int | retries
long | retrytimer
long | retxtimer

## Detailed Description

Definition at line 265 of file app_rpt.c.

## Field Documentation

struct ast_channel* chan`[read]`

Definition at line 285 of file app_rpt.c.

Referenced by function_ilink(), handle_link_data(), rpt(), and send_link_dtmf().

char connected

Definition at line 275 of file app_rpt.c.

Referenced by rpt(), and rpt_tele_thread().

char disced

Definition at line 278 of file app_rpt.c.

Referenced by function_ilink(), handle_link_data(), rpt(), and rpt_exec().

long disctime

Definition at line 281 of file app_rpt.c.

Referenced by rpt().

long elaptime

Definition at line 280 of file app_rpt.c.

Referenced by rpt().

char hasconnected

Definition at line 276 of file app_rpt.c.

Referenced by rpt().

char isremote

Definition at line 270 of file app_rpt.c.

Referenced by rpt(), and rpt_tele_thread().

char killme

Definition at line 279 of file app_rpt.c.

Referenced by rpt(), and rpt_exec().

char lastrx

Definition at line 274 of file app_rpt.c.

Referenced by handle_link_phone_dtmf(), and rpt().

char lasttx

Definition at line 273 of file app_rpt.c.

Referenced by rpt().

char mode

Definition at line 269 of file app_rpt.c.

Referenced by function_ilink(), rpt(), and rpt_tele_thread().

char name[MAXNODESTR]

Definition at line 272 of file app_rpt.c.

Referenced by attempt_reconnect(), function_ilink(), handle_link_data(), rpt(), rpt_exec(), rpt_tele_thread(), and send_link_dtmf().

struct rpt_link* next`[read]`

Definition at line 267 of file app_rpt.c.

Referenced by attempt_reconnect(), function_ilink(), handle_link_data(), rpt(), rpt_exec(), rpt_tele_thread(), and send_link_dtmf().

char outbound

Definition at line 277 of file app_rpt.c.

Referenced by rpt().

struct ast_channel* pchan`[read]`

Definition at line 286 of file app_rpt.c.

Referenced by rpt().

char phonemode

Definition at line 271 of file app_rpt.c.

Referenced by handle_link_phone_dtmf(), and rpt().

struct rpt_link* prev`[read]`

Definition at line 268 of file app_rpt.c.

Referenced by rpt(), and rpt_tele_thread().

int retries

Definition at line 284 of file app_rpt.c.

Referenced by function_ilink(), handle_link_data(), rpt(), and rpt_exec().

long retrytimer

Definition at line 282 of file app_rpt.c.

Referenced by rpt().

long retxtimer

Definition at line 283 of file app_rpt.c.

Referenced by rpt().

The documentation for this struct was generated from the following file:

- app_rpt.c